<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:mvc="http://www.springframework.org/schema/mvc"
	xmlns:context="http://www.springframework.org/schema/context"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
        http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc-3.0.xsd
        http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-3.0.xsd
        http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.0.xsd">

	<mvc:annotation-driven />

	<bean class="org.springframework.web.servlet.mvc.annotation.DefaultAnnotationHandlerMapping" />
	<bean class="org.springframework.web.portlet.mvc.annotation.AnnotationMethodHandlerAdapter" />

	<bean id="viewResolver" class="org.springframework.web.servlet.view.InternalResourceViewResolver">
		<property name="viewClass" value="org.springframework.web.servlet.view.JstlView" />
		<property name="prefix" value="/jsp/" />
		<property name="suffix" value=".jsp" />
	</bean>

	<bean class="org.ow2.weblab.portlet.mvc.spring.controller.EditMetaController">
		<constructor-arg name="editMetaData" type="org.ow2.weblab.portlet.business.bean.EditMetaConfBean" ref="editMetaData" />
		<constructor-arg name="timeConfig" type="org.ow2.weblab.portlet.business.bean.TimeConfig" ref="timeConfig" />
		<constructor-arg name="dataTaglib" type="org.ow2.weblab.portlet.business.bean.taglib.DataTaglib" ref="dataTaglib" />
		<constructor-arg name="resourceSaverService" type="org.ow2.weblab.portlet.business.service.ResourceSaverService" ref="restSaverService" />
		<constructor-arg name="permissionService" type="org.ow2.weblab.portlet.business.service.PermissionService" ref="permissionService" />
	</bean>

	<bean class="org.ow2.weblab.portlet.mvc.spring.controller.MetaViewController">
		<constructor-arg name="metaviewBusinessService" type="org.ow2.weblab.portlet.business.service.MetaViewBusinessServices" ref="metaviewBusinessService" />
		<constructor-arg name="permissionService" type="org.ow2.weblab.portlet.business.service.PermissionService" ref="permissionService" />
		<constructor-arg name="metaDisplayConf" type="org.ow2.weblab.portlet.business.bean.DisplayMetaConfBean" ref="displayMeta" />
		<constructor-arg name="rdfProperties" type="org.ow2.weblab.portlet.business.bean.RDFPropertiesConfBean" ref="rdfProperties" />
		<constructor-arg name="sourceTypeTab" type="java.lang.String" value="website" />
		<constructor-arg name="allowSourceEventing" type="java.lang.Boolean" value="false" />
		<constructor-arg name="offline" type="java.lang.Boolean" value="false" />
	</bean>

	<bean id="restSaverService" class="org.ow2.weblab.portlet.business.service.impl.RestResourceSaverService">
		<constructor-arg type="java.lang.String" value="http://localhost:8383/weblab-rest/saveResource" />
	</bean>

	<bean id="timeConfig" class="org.ow2.weblab.portlet.business.bean.TimeConfig">
		<!-- note that this format MUST be aligned to the one used by jquery datepicker since this format will be used to format AND parse date server side -->
		<!-- note that the global config for the date picker is currently yy-mm-dd (2017-10-27) on server in webapps/weblab-theme/js/jquery-ui.min.js -->
		<property name="formatDateTimeForJSTL" value="yyyy-MM-dd HH:mm" />
	</bean>

	<bean id="permissionService" class="org.ow2.weblab.portlet.business.service.impl.LiferayPermissionServiceImpl">
		<constructor-arg name="adminRoles">
			<list>
				<value>WebLab administrator</value>
			</list>
		</constructor-arg>
	</bean>

	<bean id="metaviewBusinessService" class="org.ow2.weblab.portlet.business.service.impl.WSBusinessServicesImpl">
		<constructor-arg ref="serviceProxy" />
		<constructor-arg value="SELECT DISTINCT ?resource WHERE { ?subject &lt;http://weblab.ow2.org/core/1.2/ontology/retrieval#isLinkedTo&gt; ?resource }" type="java.lang.String"
			name="linkedToQuery" />
		<constructor-arg
			value="SELECT DISTINCT ?lang ?service ?label WHERE { ?resource &lt;http://weblab.ow2.org/core/1.2/ontology/model#isComposedByMediaUnit&gt; ?mu . ?mu &lt;http://weblab.ow2.org/core/1.2/ontology/processing#isProducedBy&gt; ?service . ?service &lt;http://www.w3.org/2000/01/rdf-schema#label&gt; ?label . ?mu &lt;http://weblab.ow2.org/core/1.2/ontology/processing#isTranslationOf&gt; ?translation . ?mu &lt;http://purl.org/dc/elements/1.1/language&gt; ?lang FILTER (langMatches(lang(?label), ?preferred) || langMatches(lang(?label), &quot;&quot;))}"
			type="java.lang.String" name="translationsQueryTemplate" />
	</bean>

	<bean id="serviceProxy" class="org.springframework.remoting.jaxws.JaxWsPortProxyFactoryBean">
		<property name="serviceInterface" value="org.ow2.weblab.core.services.ResourceContainer" />
		<property name="wsdlDocumentUrl" value="classpath:services/WebLab.wsdl" />
		<property name="namespaceUri" value="http://weblab.ow2.org/core/1.2/services" />
		<property name="serviceName" value="ResourceContainer" />
		<property name="portName" value="ResourceContainerPort" />
		<property name="endpointAddress" value="http://localhost:8181/simple-file-repository/resourceContainer" />
	</bean>

	<bean id="rdfProperties" class="org.ow2.weblab.portlet.business.bean.RDFPropertiesConfBean">
		<property name="properties">
			<map>
				<!-- Documents properties -->
				<entry key="hasNativeContent" value="http://weblab.ow2.org/core/1.2/ontology/processing#hasNativeContent" />
				<entry key="hasNormalisedContent" value="http://weblab.ow2.org/core/1.2/ontology/processing#hasNormalisedContent" />
				<entry key="isGeneratedFrom" value="http://weblab.ow2.org/core/1.2/ontology/processing#isGeneratedFrom" />
				<entry key="isProducedFrom" value="http://weblab.ow2.org/core/1.2/ontology/processing#isProducedFrom" />
				<entry key="isExposedAs" value="http://weblab.ow2.org/core/1.2/ontology/processing#isExposedAs" />
				<entry key="gatheringDate" value="http://weblab.ow2.org/core/1.2/ontology/processing#hasGatheringDate" />
				<entry key="projectName" value="http://weblab-project.org/core/model/property/crawler/projectName" />
				<entry key="hasOriginalFileSize" value="http://weblab.ow2.org/core/1.2/ontology/processing#hasOriginalFileSize" />
				<entry key="refersTo" value="http://weblab.ow2.org/core/1.2/ontology/processing#refersTo" />
				<entry key="hasScore" value="http://weblab.ow2.org/core/1.2/ontology/retrieval#hasScore" />
				<entry key="translation" value="http://weblab.ow2.org/core/1.2/ontology/processing#availableTranslation" />

				<entry key="hasOriginalFileName" value="http://weblab.ow2.org/core/1.2/ontology/processing#hasOriginalFileName" />

				<!-- DublinCore properties -->
				<entry key="title" value="http://purl.org/dc/elements/1.1/title" />
				<entry key="abstract" value="http://purl.org/dc/terms/abstract" />
				<entry key="creator" value="http://purl.org/dc/elements/1.1/creator" />
				<entry key="contributor" value="http://purl.org/dc/elements/1.1/contributor" />
				<entry key="catego" value="http://purl.org/dc/terms/subject" />
				<entry key="subject" value="http://purl.org/dc/elements/1.1/subject" />
				<entry key="description" value="http://purl.org/dc/elements/1.1/description" />
				<entry key="date" value="http://purl.org/dc/elements/1.1/date" />
				<entry key="type" value="http://purl.org/dc/elements/1.1/type" />
				<entry key="format" value="http://purl.org/dc/elements/1.1/format" />
				<entry key="identifier" value="http://purl.org/dc/elements/1.1/identifier" />
				<entry key="source" value="http://purl.org/dc/elements/1.1/source" />
				<entry key="language" value="http://purl.org/dc/elements/1.1/language" />
				<entry key="coverage" value="http://purl.org/dc/elements/1.1/coverage" />
				<entry key="modified" value="http://purl.org/dc/terms/modified" />
				<entry key="created" value="http://purl.org/dc/terms/created" />
				<entry key="extent" value="http://purl.org/dc/terms/extent" />
				<entry key="mainsource" value="http://purl.org/dc/terms/source" />

				<entry key="hasSpeakerLabel" value="http://weblab.ow2.org/wookie#hasSpeakerLabel" />

				<!-- RDF properties -->
				<entry key="seeAlso" value="http://www.w3.org/2000/01/rdf-schema#seeAlso" />

				<!-- Editable META DATA -->
				<entry key="comment" value="http://editmeta.com/new/property#comment" />
				<entry key="rate" value="http://editmeta.com/new/property#rate" />
				<entry key="subjects" value="http://purl.org/dc/terms/subjects" />
				<entry key="toKeep" value="http://editmeta.com/new/property#toKeep" />
				<entry key="credibility" value="http://editmeta.com/new/property#credibility" />
				<entry key="reliability" value="http://editmeta.com/new/property#reliability" />

				<entry key="lat" value="http://www.w3.org/2003/01/geo/wgs84_pos#lat" />
				<entry key="long" value="http://www.w3.org/2003/01/geo/wgs84_pos#long" />
			</map>
		</property>
	</bean>

	<bean id="displayMeta" class="org.ow2.weblab.portlet.business.bean.DisplayMetaConfBean">
		<property name="useGeoserverExposedMap" value="false" />
		<property name="layersConfig" ref="layerGeoserver"/>
		<property name="properties">
			<map>
				<!-- Documents properties -->
				<entry key="hasNativeContent" value="false" />
				<entry key="hasNormalisedContent" value="false" />
				<entry key="isGeneratedFrom" value="false" />
				<entry key="isProducedFrom" value="false" />
				<entry key="isExposedAs" value="true" />
				<entry key="gatheringDate" value="true" />
				<entry key="projectName" value="false" />
				<entry key="hasOriginalFileSize" value="true" />
				<entry key="refersTo" value="false" />
				<entry key="hasScore" value="false" />
				<entry key="translation" value="true" />
				<entry key="hasOriginalFileName" value="true" />

				<entry key="hasSpeakerLabel" value="true" />

				<!-- DublinCore properties -->
				<entry key="title" value="true" />
				<entry key="abstract" value="true" />
				<entry key="creator" value="true" />
				<entry key="contributor" value="true" />
				<entry key="subject" value="true" />
				<entry key="catego" value="true" />
				<entry key="description" value="true" />
				<entry key="date" value="false" />
				<entry key="type" value="true" />
				<entry key="format" value="true" />
				<entry key="identifier" value="false" />
				<entry key="source" value="true" />
				<entry key="language" value="true" />
				<entry key="coverage" value="false" />
				<entry key="modified" value="true" />
				<entry key="created" value="true" />
				<entry key="extent" value="true" />
				<entry key="mainsource" value="true" />

				<!-- Editable META DATA -->
				<entry key="comment" value="true" />
				<entry key="rate" value="true" />
				<entry key="subjects" value="true" />
				<entry key="toKeep" value="true" />
				<entry key="credibility" value="true" />
				<entry key="reliability" value="true" />

				<entry key="lat" value="true" />
				<entry key="long" value="true" />

				<!-- RDF properties -->
				<entry key="seeAlso" value="false" />
			</map>
		</property>
	</bean>

	<bean id="editMetaData" class="org.ow2.weblab.portlet.business.bean.EditMetaConfBean">
		<property name="useGeoserverExposedMap" value="false" />
		<property name="layersConfig" ref="layerGeoserver"/>
		<property name="properties">
			<map>
				<entry key="title">
					<list>
						<value>dc</value>
						<value>http://purl.org/dc/elements/1.1/</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="source">
					<list>
						<value>dc</value>
						<value>http://purl.org/dc/elements/1.1/</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="format">
					<list>
						<value>dc</value>
						<value>http://purl.org/dc/elements/1.1/</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="language">
					<list>
						<value>dc</value>
						<value>http://purl.org/dc/elements/1.1/</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="created">
					<list>
						<value>dct</value>
						<value>http://purl.org/dc/terms/</value>
						<value>date</value>
					</list>
				</entry>
				<entry key="creator">
					<list>
						<value>dc</value>
						<value>http://purl.org/dc/elements/1.1/</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="description">
					<list>
						<value>dc</value>
						<value>http://purl.org/dc/elements/1.1/</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="contributor">
					<list>
						<value>dc</value>
						<value>http://purl.org/dc/elements/1.1/</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="abstract">
					<list>
						<value>dct</value>
						<value>http://purl.org/dc/terms/</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="subject">
					<list>
						<value>dc</value>
						<value>http://purl.org/dc/elements/1.1/</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="lat">
					<list>
						<value>wgs84</value>
						<value>http://www.w3.org/2003/01/geo/wgs84_pos#</value>
						<value>double</value>
					</list>
				</entry>
				<entry key="long">
					<list>
						<value>wgs84</value>
						<value>http://www.w3.org/2003/01/geo/wgs84_pos#</value>
						<value>double</value>
					</list>
				</entry>
				<entry key="comment">
					<list>
						<value>nmtd</value>
						<value>http://editmeta.com/new/property#</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="rate">
					<list>
						<value>nmtd</value>
						<value>http://editmeta.com/new/property#</value>
						<value>integer</value>
					</list>
				</entry>
				<entry key="toKeep">
					<list>
						<value>nmtd</value>
						<value>http://editmeta.com/new/property#</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="credibility">
					<list>
						<value>nmtd</value>
						<value>http://editmeta.com/new/property#</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="reliability">
					<list>
						<value>nmtd</value>
						<value>http://editmeta.com/new/property#</value>
						<value>string</value>
					</list>
				</entry>
				<entry key="modified">
					<list>
						<value>dct</value>
						<value>http://purl.org/dc/terms/</value>
						<value>date</value>
					</list>
				</entry>
			</map>
		</property>
	</bean>

	<bean id="dataTaglib" class="org.ow2.weblab.portlet.business.bean.taglib.DataTaglib">
		<property name="formats">
			<map>
				<entry key="application/pdf" value="PDF" />
				<entry key="text/html" value="HTML" />
				<entry key="text/xml" value="XML" />
				<entry key="application/rss+xml" value="RSS" />
				<entry key="application/msword" value="MSword" />
				<entry key="application/mspowerpoint" value="MSpowerpoint" />
				<entry key="application/msexcel" value="MSexcel" />
				<entry key="application/msvisio" value="MSvisio" />
				<entry key="application/vnd.oasis.opendocument.spreadsheet" value="ODS" />
				<entry key="application/vnd.oasis.opendocument.text" value="ODT" />
				<entry key="application/vnd.oasis.opendocument.presentation" value="ODP" />
				<entry key="application/vnd.oasis.opendocument.graphics" value="ODG" />
				<entry key="application/vnd.oasis.opendocument.database" value="ODB" />
				<entry key="application/vnd.oasis.opendocument.formula" value="ODF" />
				<entry key="application/rtf" value="RTF" />
				<entry key="application/x-twitter" value="Tweet" />
				<entry key="text/plain" value="Txt" />
				<entry key="image/gif" value="Gif" />
				<entry key="image/jpeg" value="Jpeg" />
				<entry key="image/png" value="PNG" />
				<entry key="image/bmp" value="BMP" />
				<entry key="image/x-tiff" value="TIFF" />
				<entry key="image/x-ico" value="Image" />
				<entry key="application/zip" value="Zip" />
				<entry key="audio/mp4" value="Mpega" />
				<entry key="audio/wav" value="Audio" />
				<entry key="video/mp4" value="Video MP4" />
				<entry key="video/msvideo" value="MSvideo" />
				<entry key="text/css" value="CSS" />
				<entry key="text/csv" value="CSV" />
				<entry key="text/tab-separated-values" value="TSV" />
				<entry key="text/javascript" value="JS" />
			</map>
		</property>
		<property name="languages">
			<map>
				<entry key="ar" value="Arabic" />
				<entry key="eu" value="Basque" />
				<entry key="nb" value="Bokmäl" />
				<entry key="bg" value="Bulgarian" />
				<entry key="ca" value="Catalan" />
				<entry key="zh" value="Chinese" />
				<entry key="hr" value="Croatian" />
				<entry key="cs" value="Czech" />
				<entry key="da" value="Danish" />
				<entry key="nl" value="Dutch" />
				<entry key="en" value="English" />
				<entry key="et" value="Estonian" />
				<entry key="ee" value="Ewe" />
				<entry key="fi" value="Finnish" />
				<entry key="fr" value="French" />
				<entry key="gl" value="Galician" />
				<entry key="de" value="German" />
				<entry key="el" value="Greek" />
				<entry key="iw" value="Hebrew" />
				<entry key="he" value="Hebrew" />
				<entry key="hi" value="Hindi" />
				<entry key="hu" value="Hungarian" />
				<entry key="in" value="Indonesian" />
				<entry key="id" value="Indonesian" />
				<entry key="is" value="Icelandic" />
				<entry key="it" value="Italian" />
				<entry key="ja" value="Japanese" />
				<entry key="ko" value="Korean" />
				<entry key="lo" value="Lao" />
				<entry key="lv" value="Latvian" />
				<entry key="lt" value="Lithuanian" />
				<entry key="mt" value="Maltese" />
				<entry key="fa" value="Persian" />
				<entry key="pl" value="Polish" />
				<entry key="pt" value="Portuguese" />
				<entry key="ro" value="Romanian" />
				<entry key="ru" value="Russian" />
				<entry key="sr" value="Serbian" />
				<entry key="sk" value="Slovak" />
				<entry key="sl" value="Slovene" />
				<entry key="es" value="Spanish" />
				<entry key="sv" value="Swedish" />
				<entry key="th" value="Thai" />
				<entry key="tr" value="Turkish" />
				<entry key="uk" value="Ukrainian" />
				<entry key="vi" value="Vietnamese" />
			</map>
		</property>
	</bean>

	
<bean id="layerGeoserver" class="org.ow2.weblab.portlet.business.bean.config.map.GroupLayerConfig">
	<property name="projection" value="EPSG:3857"/>
	<property name="layers">
		<list>
			<bean name="baseLayerLocal" class="org.ow2.weblab.portlet.business.bean.config.map.WMSLayerConfig">
				<property name="visible" value="true" />
				<property name="relativeUrl" value="/geoserver-weblab/wms" />
				<property name="layer" value="vtpa:HYP_HR_SR_OB_DR" />
				<property name="tiled" value="true" />
				<property name="nameKey" value="Legend.Layers.earthRasterLayer" />
			</bean>
		</list>
	</property>
</bean>

</beans>